from ScrumPy.Structural import LPEMs
import BuildLP



def GetLPEMs(m, lp):
    '''
    Pre:
        m = model object
        lp = LP object
    Post:
        sol = lp solution
        modes = LPEM result
    '''
    lp.Solve()
    sol = lp.GetPrimSol()
    modes, err = LPEMs.LPEMs(m, sol)

    return sol, modes
